<!DOCTYPE html>
<html lang="pt-br">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
    <link rel="stylesheet" href="style.css" />
    <title>Utilizando o V-bind</title>
  </head>
  <body>
    <div id="app">
      <h1 v-once>Trabalhando com {{ titulo }}</h1>
      <a :href="link">Google</a>
      <h1>Trabalhando com V-on</h1>
      <input type="text" v-label="titulo" v-model="caixaTexto">
      <button v-on:click="alterarValor">Enviar</button>
      <span>{{ titulo }}</span>
      <h1>Soma</h1>
      <p>Número 1</p>
      <input type="text" v-model="numero1">
      <br>
      <p>Número 2</p>
      <input type="text" v-model="numero2">
      <button @click="soma">Somar</button>
      <span>O resultado da soma é: {{resultado}}</span>
    </div>
  </body>
</html>
<script>
  const { createApp } = Vue;
  createApp({
    data() {
      return {
        titulo: "links",
        link: "http://google.com",
        caixaTexto:'',
        numero1: 0,
        numero2: 0,
        resultado: 0
      };
    },
    methods: {
      alterarValor: function () {
        this.titulo = this.caixaTexto;
        this.caixaTexto = "Você atualizou os dados"
      },
      soma: function (){
        this.resultado = parseInt(this.numero1) + parseInt(this.numero2)
      },
      contador: function () {
        this.count = this.count + 1;
      },
    },
  }).mount("#app");
</script>